Packages - Bug #2693

vtk: No module named 'vtiklIOFFMPEGPython'
2020-04-13 01:08 AM - nona

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Hello,

| updated vik, and | am getting

Python 3.8.2 (default, Apr 8 2020, 14:31:25)
[GCC 9.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import vtk
Traceback (most recent call last):
File "/usr/lib/python3.8/site-packages/vtkmodules/vtkIOFFMPEG.py", line 5, in <module>
from .vtkIOFFMPEGPython import *
ImportError: libffi.so.6: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python3.8/site-packages/vtk.py", line 32, in <module>
all_spec.loader.exec_module (all_m)
File "/usr/lib/python3.8/site-packages/vtkmodules/all.py", line 107, in <module>
from .vtkIOFFMPEG import *
File "/usr/lib/python3.8/site-packages/vtkmodules/vtkIOFFMPEG.py", line 9, in <module>
from vtkIOFFMPEGPython import *
ModuleNotFoundError: No module named 'vtkIOFFMPEGPython'

pacman -Q vtk
vtk 8.2.0-10

uname -r
5.4.28-gnu-1-1ts

x86_64

Related issues:
Related to Packages - Bug #2694: [p11-kit] needs rebuild against [libffi] (af... fixed

History

#1 - 2020-04-14 07:07 AM - theova
- Related to Bug #2694: [p11-kit] needs rebuild against [libffi] (affects [paraview], [Ixterminal], [emacs] and probably others) added

#2 - 2020-04-14 10:29 AM - oaken-source

- Status changed from unconfirmed to info needed

I can not reproduce this. are you on an openrc system? in that case, this is probably a duplicate of #2694

#3 - 2020-04-16 03:09 AM - nona
Hi! Oh, yeah, OpenRC, and yes, rebuilding p11-kit on my system solves the issue with VTK.

#4 - 2020-05-14 09:49 PM - bill-auger

- Assignee set to bill-auger
https://labs.parabola.nu/issues/2694

p11-kit 0.23.20-5.nonsystemd1 fixed this for me - please write back if anyone still has this problem

#5 - 2020-05-14 09:49 PM - bill-auger

- Status changed from info needed to fixed
